#ifndef JOURNAL_FILE_HPP
#define JOURNAL_FILE_HPP

#include <string>
#include <time.h>
#include <stdlib.h>
#include <sstream>
#include <aolib/gui/informationdialog.hpp>
#include <gjournal/globals.hpp>
#include <sqlitem/sqlitemanager.hpp>
#include <aolib/bfcryptfile.hpp>
#include <gjournal/journalwindow.hpp>

namespace gjournal
{
	class JournalFile
	{
		public:
			JournalFile( JournalWindow *window );
		private:
			bool _createNewFile( std::string file, std::string &error );
			void _preferences( bool saving = false );
			std::string _getNewTempFile();
			JournalWindow *window;

			friend class JournalWindow;
	};
}

#endif // JOURNAL_FILE
